Index: cpukit/ChangeLog
===================================================================
--- cpukit/ChangeLog	(revision 4f647b954a4fef64c000c5cf37885563f5c88a20)
+++ cpukit/ChangeLog	(revision 8faf4bd5314b2c74d525c33af81a4749ac5f1ed6)
@@ -1,2 +1,7 @@
+2005-01-07	Ralf Corsepius <ralf.corsepius@rtems.org>
+
+	* librpc/include/rpc/svc.h, librpc/include/rpc/xdr.h:
+	Remove __P(xx).
+
 2005-01-07	Ralf Corsepius <ralf.corsepius@rtems.org>
 
Index: cpukit/librpc/include/rpc/svc.h
===================================================================
--- cpukit/librpc/include/rpc/svc.h	(revision 4f647b954a4fef64c000c5cf37885563f5c88a20)
+++ cpukit/librpc/include/rpc/svc.h	(revision 8faf4bd5314b2c74d525c33af81a4749ac5f1ed6)
@@ -80,19 +80,19 @@
 	struct xp_ops {
 	    /* receive incoming requests */
-	    bool_t	(*xp_recv) __P((struct __rpc_svcxprt *,
-				struct rpc_msg *));
+	    bool_t	(*xp_recv) (struct __rpc_svcxprt *,
+				struct rpc_msg *);
 	    /* get transport status */
-	    enum xprt_stat (*xp_stat) __P((struct __rpc_svcxprt *));
+	    enum xprt_stat (*xp_stat) (struct __rpc_svcxprt *);
 	    /* get arguments */
-	    bool_t	(*xp_getargs) __P((struct __rpc_svcxprt *, xdrproc_t,
-				caddr_t));
+	    bool_t	(*xp_getargs) (struct __rpc_svcxprt *, xdrproc_t,
+				caddr_t);
 	    /* send reply */
-	    bool_t	(*xp_reply) __P((struct __rpc_svcxprt *,
-				struct rpc_msg *));
+	    bool_t	(*xp_reply) (struct __rpc_svcxprt *,
+				struct rpc_msg *);
 	    /* free mem allocated for args */
-	    bool_t	(*xp_freeargs) __P((struct __rpc_svcxprt *, xdrproc_t,
-				caddr_t));
+	    bool_t	(*xp_freeargs) (struct __rpc_svcxprt *, xdrproc_t,
+				caddr_t);
 	    /* destroy this struct */
-	    void	(*xp_destroy) __P((struct __rpc_svcxprt *));
+	    void	(*xp_destroy) (struct __rpc_svcxprt *);
 	} *xp_ops;
 	int		xp_addrlen;	 /* length of remote address */
@@ -171,6 +171,6 @@
  */
 __BEGIN_DECLS
-extern bool_t	svc_register __P((SVCXPRT *, u_long, u_long,
-			void (*) __P((struct svc_req *, SVCXPRT *)), int));
+extern bool_t	svc_register (SVCXPRT *, u_long, u_long,
+			void (*) (struct svc_req *, SVCXPRT *), int);
 __END_DECLS
 
@@ -183,5 +183,5 @@
  */
 __BEGIN_DECLS
-extern void	svc_unregister __P((u_long, u_long));
+extern void	svc_unregister (u_long, u_long);
 __END_DECLS
 
@@ -193,5 +193,5 @@
  */
 __BEGIN_DECLS
-extern void	xprt_register	__P((SVCXPRT *));
+extern void	xprt_register	(SVCXPRT *);
 __END_DECLS
 
@@ -203,5 +203,5 @@
  */
 __BEGIN_DECLS
-extern void	xprt_unregister	__P((SVCXPRT *));
+extern void	xprt_unregister	(SVCXPRT *);
 __END_DECLS
 
@@ -236,12 +236,12 @@
 
 __BEGIN_DECLS
-extern bool_t	svc_sendreply	__P((SVCXPRT *, xdrproc_t, char *));
-extern void	svcerr_decode	__P((SVCXPRT *));
-extern void	svcerr_weakauth	__P((SVCXPRT *));
-extern void	svcerr_noproc	__P((SVCXPRT *));
-extern void	svcerr_progvers	__P((SVCXPRT *, u_long, u_long));
-extern void	svcerr_auth	__P((SVCXPRT *, enum auth_stat));
-extern void	svcerr_noprog	__P((SVCXPRT *));
-extern void	svcerr_systemerr __P((SVCXPRT *));
+extern bool_t	svc_sendreply	(SVCXPRT *, xdrproc_t, char *);
+extern void	svcerr_decode	(SVCXPRT *);
+extern void	svcerr_weakauth	(SVCXPRT *);
+extern void	svcerr_noproc	(SVCXPRT *);
+extern void	svcerr_progvers	(SVCXPRT *, u_long, u_long);
+extern void	svcerr_auth	(SVCXPRT *, enum auth_stat);
+extern void	svcerr_noprog	(SVCXPRT *);
+extern void	svcerr_systemerr (SVCXPRT *);
 __END_DECLS
 
@@ -274,8 +274,8 @@
 
 __BEGIN_DECLS
-extern void	svc_getreq	__P((int));
-extern void	svc_getreqset	__P((fd_set *));
-extern void	svc_getreqset2	__P((fd_set *, int)); /* XXX: nonstd, undoc */
-extern void	svc_run		__P((void));
+extern void	svc_getreq	(int);
+extern void	svc_getreqset	(fd_set *);
+extern void	svc_getreqset2	(fd_set *, int); /* XXX: nonstd, undoc */
+extern void	svc_run		(void);
 __END_DECLS
 
@@ -293,5 +293,5 @@
  */
 __BEGIN_DECLS
-extern SVCXPRT *svcraw_create __P((void));
+extern SVCXPRT *svcraw_create (void);
 __END_DECLS
 
@@ -301,6 +301,6 @@
  */
 __BEGIN_DECLS
-extern SVCXPRT *svcudp_create __P((int));
-extern SVCXPRT *svcudp_bufcreate __P((int, u_int, u_int));
+extern SVCXPRT *svcudp_create (int);
+extern SVCXPRT *svcudp_bufcreate (int, u_int, u_int);
 __END_DECLS
 
@@ -310,6 +310,6 @@
  */
 __BEGIN_DECLS
-extern SVCXPRT *svctcp_create __P((int, u_int, u_int));
-extern SVCXPRT *svcfd_create __P((int, u_int, u_int));
+extern SVCXPRT *svctcp_create (int, u_int, u_int);
+extern SVCXPRT *svcfd_create (int, u_int, u_int);
 __END_DECLS
 
@@ -318,6 +318,6 @@
  */
 __BEGIN_DECLS
-extern SVCXPRT *svcunix_create __P((int, u_int, u_int, char *));
-extern SVCXPRT *svcunixfd_create __P((int, u_int, u_int));
+extern SVCXPRT *svcunix_create (int, u_int, u_int, char *);
+extern SVCXPRT *svcunixfd_create (int, u_int, u_int);
 __END_DECLS
 
Index: cpukit/librpc/include/rpc/xdr.h
===================================================================
--- cpukit/librpc/include/rpc/xdr.h	(revision 4f647b954a4fef64c000c5cf37885563f5c88a20)
+++ cpukit/librpc/include/rpc/xdr.h	(revision 8faf4bd5314b2c74d525c33af81a4749ac5f1ed6)
@@ -100,19 +100,19 @@
 	struct xdr_ops {
 		/* get a long from underlying stream */
-		bool_t	(*x_getlong) __P((struct __rpc_xdr *, long *));
+		bool_t	(*x_getlong) (struct __rpc_xdr *, long *);
 		/* put a long to underlying stream */
-		bool_t	(*x_putlong) __P((struct __rpc_xdr *, long *));
+		bool_t	(*x_putlong) (struct __rpc_xdr *, long *);
 		/* get some bytes from underlying stream */
-		bool_t	(*x_getbytes) __P((struct __rpc_xdr *, caddr_t, u_int));
+		bool_t	(*x_getbytes) (struct __rpc_xdr *, caddr_t, u_int);
 		/* put some bytes to underlying stream */
-		bool_t	(*x_putbytes) __P((struct __rpc_xdr *, caddr_t, u_int));
+		bool_t	(*x_putbytes) (struct __rpc_xdr *, caddr_t, u_int);
 		/* returns bytes off from beginning */
-		u_int	(*x_getpostn) __P((struct __rpc_xdr *));
+		u_int	(*x_getpostn) (struct __rpc_xdr *);
 		/* lets you reposition the stream */
-		bool_t  (*x_setpostn) __P((struct __rpc_xdr *, u_int));
+		bool_t  (*x_setpostn) (struct __rpc_xdr *, u_int);
 		/* buf quick ptr to buffered data */
-		int32_t *(*x_inline) __P((struct __rpc_xdr *, u_int));
+		int32_t *(*x_inline) (struct __rpc_xdr *, u_int);
 		/* free privates of this xdr_stream */
-		void	(*x_destroy) __P((struct __rpc_xdr *));
+		void	(*x_destroy) (struct __rpc_xdr *);
 	} *x_ops;
 	caddr_t 	x_public;	/* users' data */
@@ -131,5 +131,5 @@
  */
 #if 0 /* RTEMS has no kernel/user distinction */
-typedef	bool_t (*xdrproc_t) __P((XDR *, void *, u_int));
+typedef	bool_t (*xdrproc_t) (XDR *, void *, u_int);
 #else
 /*
@@ -240,34 +240,34 @@
  */
 __BEGIN_DECLS
-extern bool_t	xdr_void	__P((void));
-extern bool_t	xdr_int		__P((XDR *, int *));
-extern bool_t	xdr_u_int	__P((XDR *, u_int *));
-extern bool_t	xdr_long	__P((XDR *, long *));
-extern bool_t	xdr_u_long	__P((XDR *, u_long *));
-extern bool_t	xdr_short	__P((XDR *, short *));
-extern bool_t	xdr_u_short	__P((XDR *, u_short *));
-extern bool_t	xdr_int16_t	__P((XDR *, int16_t *));
-extern bool_t	xdr_u_int16_t	__P((XDR *, u_int16_t *));
-extern bool_t	xdr_int32_t	__P((XDR *, int32_t *));
-extern bool_t	xdr_u_int32_t	__P((XDR *, u_int32_t *));
-extern bool_t	xdr_int64_t	__P((XDR *, int64_t *));
-extern bool_t	xdr_u_int64_t	__P((XDR *, u_int64_t *));
-extern bool_t	xdr_bool	__P((XDR *, bool_t *));
-extern bool_t	xdr_enum	__P((XDR *, enum_t *));
-extern bool_t	xdr_array	__P((XDR *, char **, u_int *, u_int, u_int, xdrproc_t));
-extern bool_t	xdr_bytes	__P((XDR *, char **, u_int *, u_int));
-extern bool_t	xdr_opaque	__P((XDR *, caddr_t, u_int));
-extern bool_t	xdr_string	__P((XDR *, char **, u_int));
-extern bool_t	xdr_union	__P((XDR *, enum_t *, char *, struct xdr_discrim *, xdrproc_t));
-extern unsigned long	xdr_sizeof __P((xdrproc_t, void *));
-extern bool_t	xdr_char	__P((XDR *, char *));
-extern bool_t	xdr_u_char	__P((XDR *, u_char *));
-extern bool_t	xdr_vector	__P((XDR *, char *, u_int, u_int, xdrproc_t));
-extern bool_t	xdr_float	__P((XDR *, float *));
-extern bool_t	xdr_double	__P((XDR *, double *));
-extern bool_t	xdr_reference	__P((XDR *, caddr_t *, u_int, xdrproc_t));
-extern bool_t	xdr_pointer	__P((XDR *, caddr_t *, u_int, xdrproc_t));
-extern bool_t	xdr_wrapstring	__P((XDR *, char **));
-extern void	xdr_free 	__P((xdrproc_t, char *));
+extern bool_t	xdr_void	(void);
+extern bool_t	xdr_int		(XDR *, int *);
+extern bool_t	xdr_u_int	(XDR *, u_int *);
+extern bool_t	xdr_long	(XDR *, long *);
+extern bool_t	xdr_u_long	(XDR *, u_long *);
+extern bool_t	xdr_short	(XDR *, short *);
+extern bool_t	xdr_u_short	(XDR *, u_short *);
+extern bool_t	xdr_int16_t	(XDR *, int16_t *);
+extern bool_t	xdr_u_int16_t	(XDR *, u_int16_t *);
+extern bool_t	xdr_int32_t	(XDR *, int32_t *);
+extern bool_t	xdr_u_int32_t	(XDR *, u_int32_t *);
+extern bool_t	xdr_int64_t	(XDR *, int64_t *);
+extern bool_t	xdr_u_int64_t	(XDR *, u_int64_t *);
+extern bool_t	xdr_bool	(XDR *, bool_t *);
+extern bool_t	xdr_enum	(XDR *, enum_t *);
+extern bool_t	xdr_array	(XDR *, char **, u_int *, u_int, u_int, xdrproc_t);
+extern bool_t	xdr_bytes	(XDR *, char **, u_int *, u_int);
+extern bool_t	xdr_opaque	(XDR *, caddr_t, u_int);
+extern bool_t	xdr_string	(XDR *, char **, u_int);
+extern bool_t	xdr_union	(XDR *, enum_t *, char *, struct xdr_discrim *, xdrproc_t);
+extern unsigned long	xdr_sizeof (xdrproc_t, void *);
+extern bool_t	xdr_char	(XDR *, char *);
+extern bool_t	xdr_u_char	(XDR *, u_char *);
+extern bool_t	xdr_vector	(XDR *, char *, u_int, u_int, xdrproc_t);
+extern bool_t	xdr_float	(XDR *, float *);
+extern bool_t	xdr_double	(XDR *, double *);
+extern bool_t	xdr_reference	(XDR *, caddr_t *, u_int, xdrproc_t);
+extern bool_t	xdr_pointer	(XDR *, caddr_t *, u_int, xdrproc_t);
+extern bool_t	xdr_wrapstring	(XDR *, char **);
+extern void	xdr_free 	(xdrproc_t, char *);
 __END_DECLS
 
@@ -282,5 +282,5 @@
 };
 typedef struct netobj netobj;
-extern bool_t   xdr_netobj __P((XDR *, struct netobj *));
+extern bool_t   xdr_netobj (XDR *, struct netobj *);
 
 /*
@@ -290,24 +290,24 @@
 __BEGIN_DECLS
 /* XDR using memory buffers */
-extern void   xdrmem_create	__P((XDR *, char *, u_int, enum xdr_op));
+extern void   xdrmem_create	(XDR *, char *, u_int, enum xdr_op);
 
 #ifdef _STDIO_H_
 /* XDR using stdio library */
-extern void   xdrstdio_create	__P((XDR *, FILE *, enum xdr_op));
+extern void   xdrstdio_create	(XDR *, FILE *, enum xdr_op);
 #endif
 
 /* XDR pseudo records for tcp */
-extern void   xdrrec_create	__P((XDR *, u_int, u_int, char *,
-				int (*) __P((caddr_t, caddr_t, int)),
-				int (*) __P((caddr_t, caddr_t, int))));
+extern void   xdrrec_create	(XDR *, u_int, u_int, char *,
+				int (*) (caddr_t, caddr_t, int),
+				int (*) (caddr_t, caddr_t, int));
 
 /* make end of xdr record */
-extern bool_t xdrrec_endofrecord __P((XDR *, bool_t));
+extern bool_t xdrrec_endofrecord (XDR *, bool_t);
 
 /* move to beginning of next record */
-extern bool_t xdrrec_skiprecord	__P((XDR *));
+extern bool_t xdrrec_skiprecord	(XDR *);
 
 /* true if no more input */
-extern bool_t xdrrec_eof	__P((XDR *));
+extern bool_t xdrrec_eof	(XDR *);
 __END_DECLS
 
